<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:composition template="/template.xhtml">
        <ui:define name="title">
            <h:outputText value="#{bundle.ListPredmetTitle}"></h:outputText>
        </ui:define>
        <ui:define name="body">
            <h:form styleClass="jsfcrud_list_form">
                <h:panelGroup id="messagePanel" layout="block">
                    <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
                </h:panelGroup>
                <h:outputText escape="false" value="#{bundle.ListPredmetEmpty}" rendered="#{predmetController.items.rowCount == 0}"/>
                <h:panelGroup rendered="#{predmetController.items.rowCount > 0}">
                    <h:outputText value="#{predmetController.pagination.pageFirstItem + 1}..#{predmetController.pagination.pageLastItem + 1}/#{predmetController.pagination.itemsCount}"/>&nbsp;
                    <h:commandLink action="#{predmetController.previous}" value="#{bundle.Previous} #{predmetController.pagination.pageSize}" rendered="#{predmetController.pagination.hasPreviousPage}"/>&nbsp;
                    <h:commandLink action="#{predmetController.next}" value="#{bundle.Next} #{predmetController.pagination.pageSize}" rendered="#{predmetController.pagination.hasNextPage}"/>&nbsp;
                    <h:dataTable value="#{predmetController.items}" var="item" border="0" cellpadding="2" cellspacing="0" rowClasses="jsfcrud_odd_row,jsfcrud_even_row" rules="all" style="border:solid 1px">
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPredmetTitle_predmetId}"/>
                            </f:facet>
                            <h:outputText value="#{item.predmetId}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPredmetTitle_predmetSifra}"/>
                            </f:facet>
                            <h:outputText value="#{item.predmetSifra}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListPredmetTitle_predmetNaziv}"/>
                            </f:facet>
                            <h:outputText value="#{item.predmetNaziv}"/>
                        </h:column>
                        <h:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <h:commandLink action="#{predmetController.prepareView}" value="#{bundle.ListPredmetViewLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{predmetController.prepareEdit}" value="#{bundle.ListPredmetEditLink}"/>
                            <h:outputText value=" "/>
                            <h:commandLink action="#{predmetController.destroy}" value="#{bundle.ListPredmetDestroyLink}"/>
                        </h:column>
                    </h:dataTable>
                </h:panelGroup>
                <br />
                <h:commandLink action="#{predmetController.prepareCreate}" value="#{bundle.ListPredmetCreateLink}"/>
                <br />
                <br />
                <h:link outcome="/index" value="#{bundle.ListPredmetIndexLink}"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
